require 'active_pstore'
require 'fileutils'
require 'ezpaas/helpers/config'

module EzPaaS
  module Models
  	def self.connect
    	db_folder = File.join(EzPaaS::Helpers::Config.data_dir, 'db')
    	FileUtils.mkdir_p db_folder
    	ActivePStore::Base.establish_connection(database: File.join(db_folder, 'database.db0'))
    end
  end
end
